Exchange Rate
The exchange rate resource.
Base/exchangeRate
GET
/exchangeRateList exchange rates
Retrieve a paginated list of exchange rates. Filter, order, and select columns with PostgREST query parameters.
Query parameters
selectstringComma-separated columns to return. Defaults to all.
orderstringColumn to sort by, e.g. `createdAt.desc`.
limitintegerMaximum rows to return.
offsetintegerRows to skip, for pagination.
GET/exchangeRate
curl --request GET \
--url '<your-host>/exchangeRate?select=*&limit=10' \
--header 'Authorization: Bearer <api-key>'Response
[
{
"id": "abc123def456",
"currencyCode": "string",
"effectiveDate": "2026-01-01",
"rate": 0,
"createdAt": "2026-01-01T00:00:00Z",
"updatedAt": "2026-01-01T00:00:00Z"
}
]GET
/exchangeRateRetrieve a exchange rate
Fetch a single exchange rate by filtering on `id`.
Query parameters
idstringMatch on the exchange rate's `id`, e.g. `eq.{id}`.
GET/exchangeRate
curl --request GET \
--url '<your-host>/exchangeRate?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'Response
{
"id": "abc123def456",
"currencyCode": "string",
"effectiveDate": "2026-01-01",
"rate": 0,
"createdAt": "2026-01-01T00:00:00Z",
"updatedAt": "2026-01-01T00:00:00Z"
}POST
/exchangeRateCreate a exchange rate
Create a new exchange rate.
Body parameters
currencyCodestringrequiredReferences currencyCode.code
effectiveDatedaterequiredratenumberrequiredPOST/exchangeRate
curl --request POST \
--url <your-host>/exchangeRate \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"currencyCode":"string","effectiveDate":"2026-01-01","rate":0}'Response
{
"id": "abc123def456",
"currencyCode": "string",
"effectiveDate": "2026-01-01",
"rate": 0,
"createdAt": "2026-01-01T00:00:00Z",
"updatedAt": "2026-01-01T00:00:00Z"
}PATCH
/exchangeRateUpdate a exchange rate
Update an existing exchange rate, matched on `id`.
Body parameters
currencyCodestringrequiredReferences currencyCode.code
effectiveDatedaterequiredratenumberrequiredPATCH/exchangeRate
curl --request PATCH \
--url '<your-host>/exchangeRate?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"currencyCode":"string"}'Response
{
"id": "abc123def456",
"currencyCode": "string",
"effectiveDate": "2026-01-01",
"rate": 0,
"createdAt": "2026-01-01T00:00:00Z",
"updatedAt": "2026-01-01T00:00:00Z"
}DELETE
/exchangeRateDelete a exchange rate
Delete a exchange rate, matched on `id`. Returns 204 No Content.
Query parameters
idstringThe `id` of the exchange rate to delete, e.g. `eq.{id}`.
DELETE/exchangeRate
curl --request DELETE \
--url '<your-host>/exchangeRate?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'204 No Content